Loading...
Searching...
No Matches
BALL::MMFF94ESParameters Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94ESParameters:

## Public Member Functions

| MMFF94ESParameters ()
| Default constructor.
virtual | ~MMFF94ESParameters ()
| Destructor.
const MMFF94ESParameters & | operator= (const MMFF94ESParameters &param)
| Assignment operator.
virtual void | clear ()
| Clear method.
double | getPartialCharge (Position at1, Position at2, Position bt) const
bool | readEmpiricalParameters (Parameters &p, const String &section)
double | getPhi (Index atom_type) const
double | getPBCI (Index atom_type) const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)
Position | getIndex_ (Position at1, Position at2, Position bt) const

## Protected Attributes

std::vector< double > | parameters_
| parameters
std::vector< double > | phis_
std::vector< double > | pbcis_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 parameters for partial charges for electrostatics (see MMFFCHG.PAR MMFFPBCI.PAR)

Definition at line 525 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94ESParameters()

BALL::MMFF94ESParameters::MMFF94ESParameters | ( |  | ) |

Default constructor.

## ~MMFF94ESParameters()

virtual BALL::MMFF94ESParameters::~MMFF94ESParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::MMFF94ESParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getIndex_()

Position BALL::MMFF94ESParameters::getIndex_ | ( | Position | at1,
|  | Position | at2,
|  | Position | bt ) const

protected

## getPartialCharge()

double BALL::MMFF94ESParameters::getPartialCharge | ( | Position | at1,
|  | Position | at2,
|  | Position | bt ) const

Get the partial charge increment for the two atom types and the bond type. The increment is for the atom with atom type at1. 99 is return if no increment could be calculated.

## getPBCI()

double BALL::MMFF94ESParameters::getPBCI | ( | Index | atom_type | ) | const

## getPhi()

double BALL::MMFF94ESParameters::getPhi | ( | Index | atom_type | ) | const

## operator=()

const MMFF94ESParameters & BALL::MMFF94ESParameters::operator= | ( | const MMFF94ESParameters & | param | ) |

Assignment operator.

## readEmpiricalParameters()

bool BALL::MMFF94ESParameters::readEmpiricalParameters | ( | Parameters & | p,
|  | const String & | section )

Exceptions

  BALL::Exception::FileNotFound |

## setup_()

virtual bool BALL::MMFF94ESParameters::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## parameters_

std::vector<double> BALL::MMFF94ESParameters::parameters_

protected

parameters

Definition at line 567 of file MMFF94Parameters.h.

## pbcis_

std::vector<double> BALL::MMFF94ESParameters::pbcis_

protected

Definition at line 567 of file MMFF94Parameters.h.

## phis_

std::vector<double> BALL::MMFF94ESParameters::phis_

protected

Definition at line 567 of file MMFF94Parameters.h.